Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155824 - printf problems + local variable used before set
Summary: printf problems + local variable used before set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsepol
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 08:53 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-20 07:44:07 UTC


Attachments (Terms of Use)

Description David Binderman 2005-04-24 08:53:25 UTC
Description of problem:

I just tried to compile libsepol-1.5.5-1 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

1.

genbools.c(199): warning #267: the format string requires additional arguments

The source code is

	__sepol_debug_printf("%s:  Error while re-evaluating conditionals: %s\n",
                                     __FUNCTION__);

Two %s specifiers, only one trailing parameter. Suggest code rework.

2.

hierarchy.c(294): remark #592: variable "eb" is used before its value is set

The source code is

	if (ebitmap_or(eb, &r->types, &rp->types)) {

Suggest initialise local variable "eb" before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2005-04-25 19:38:59 UTC
Fixed in libsepol-1.5.5-2

Comment 2 Marius Andreiana 2005-08-20 07:44:07 UTC
libsepol-1.5.10-1.1 is in FC4


Note You need to log in before you can comment on or make changes to this bug.